New install of 1.5.3 on Ubuntu 18.04

    1. With 18.04 should install show option for php 7.2 ?
    2. Is the current letsencrypt plugin supporting wildcards ?
    1. No because current i-MSCP version doesn't support PHP 7.2
    2. No, the plugin doesn't provide DNS validation which is needed for wildcard SSL certificates.

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206

  • DZII


    Support for PHP 7.2 and 7.3 will be available in next maintenance release. Regarding wildcard SSL certificates, that is far more complicated as this require a new layer for validation through DNS.

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206

  • @Nuxwin


    Thanks for getting php 7.2,7.3 in next maintenance release.


    what is the best way to use ssl with i-mscp panel a paid wildcard ssl or 2 different certs issued by letsencrypt ?

  • what is the best way to use ssl with i-mscp panel a paid wildcard ssl or 2 different certs issued by letsencrypt ?

    Why you would like to have two SSL certificates for the control panel exactly? Don't forget, you can add up to 100 SANs per letsencrypt SSL certificate. Please look better at the letsencrypt interface.

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206

  • Nuxwin


    I do not have the letsencrypt plugin yet this is why I had asked the question But I will be buying it. I do also have dedicated IPs in my setup so not sure how that will work either.


    Thanks